### Hierarchy

- StatePropsOfTreeWithDetail
- DispatchPropsOfTreeWithDetail
  - TreeWithDetailProps

## Index

### Properties

- addToRoot
- classes
- config
- data
- description
- enabled
- errors
- fields
- filterPredicate
- id
- imageProvider
- label
- labelProviders
- parentPath
- path
- required
- resolvedRootData
- rootData
- schema
- scopedSchema
- uischema
- visible

### Methods

- findUISchema

## Properties

### addToRoot

addToRoot: any

Inherited from DispatchPropsOfTreeWithDetail.addToRoot

- Defined in tree/TreeWithDetailRenderer.tsx:183

### Optional classes

classes: any

Inherited from StatePropsOfTreeWithDetail.classes

- Defined in tree/TreeWithDetailRenderer.tsx:171

### Optional config

config: any

Inherited from StatePropsOfRenderer.config

Any configuration options for the element.

### Optional data

data: any

Inherited from StatePropsOfScopedRenderer.data

The data to be rendered.

### Optional description

description: string

Inherited from StatePropsOfControl.description

Description of input field

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

Whether the rendered element should be enabled.

### Optional errors

errors: any[]

Inherited from StatePropsOfScopedRenderer.errors

Any validation errors that are caused by the data to be rendered.

### Optional fields

fields: object[]

Inherited from StatePropsOfControl.fields

### filterPredicate

filterPredicate: any

Inherited from StatePropsOfTreeWithDetail.filterPredicate

- Defined in tree/TreeWithDetailRenderer.tsx:174

### Optional id

id: string

Inherited from OwnPropsOfControl.id

### imageProvider

imageProvider: any

Inherited from StatePropsOfTreeWithDetail.imageProvider

- Defined in tree/TreeWithDetailRenderer.tsx:179

### label

label: string | Labels

Inherited from StatePropsOfControl.label

The label for the rendered element.

### labelProviders

labelProviders: object

Inherited from StatePropsOfTreeWithDetail.labelProviders

- Defined in tree/TreeWithDetailRenderer.tsx:175

#### Type declaration

- ##### forData: InstanceLabelProvider

- ##### forSchema: SchemaLabelProvider

### Optional parentPath

parentPath: string

Inherited from StatePropsOfScopedRenderer.parentPath

Path of the parent renderer, if any.

### path

path: string

Inherited from StatePropsOfScopedRenderer.path

Overrides OwnPropsOfRenderer.path

The absolute dot-separated path to the value being rendered. A path is a sequence of property names separated by dots, e.g. for accessing the value of b in the object { foo: { a: { b: 42 } } }, one would use foo.a.b.

### Optional required

required: boolean

Inherited from StatePropsOfControl.required

Whether the rendered data is required.

### resolvedRootData

resolvedRootData: any

Inherited from StatePropsOfTreeWithDetail.resolvedRootData

- Defined in tree/TreeWithDetailRenderer.tsx:173

### rootData

rootData: any

Inherited from StatePropsOfTreeWithDetail.rootData

- Defined in tree/TreeWithDetailRenderer.tsx:172

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

The JSON schema that describes the data.

### scopedSchema

scopedSchema: JsonSchema

Inherited from StatePropsOfScopedRenderer.scopedSchema

The sub-schema that describes the data this element is bound to.

### uischema

uischema: ControlElement

Inherited from StatePropsOfScopedRenderer.uischema

Overrides OwnPropsOfControl.uischema

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

Whether the rendered element should be visible.

## Methods

### findUISchema

- findUISchema(schema: JsonSchema, schemaPath: string, path: string, fallbackLayoutType?: string, control?: ControlElement): UISchemaElement

- Inherited from StatePropsOfScopedRenderer.findUISchema

  Finds a registered UI schema to use, if any.

  #### Parameters

  - ##### schema: JsonSchema

    the JSON schema describing the data to be rendered

  - ##### schemaPath: string

    the according schema path

  - ##### path: string

    the instance path

  - ##### Optional fallbackLayoutType: string

    the type of the layout to use

  - ##### Optional control: ControlElement

    may be checked for embedded inline uischema options

  #### Returns UISchemaElement

Generated using TypeDoc